> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/platform-service/zbc/account/describebalancealert.md).

# DescribeBalanceAlert

## 1. 接口描述

本接口(DescribeBalanceAlert)用于查询当前账户的余额提醒开关状态与提醒阈值。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

无

## 3. 响应结果

| 参数名称           | 类型      | 描述                                                                                               |
| -------------- | ------- | ------------------------------------------------------------------------------------------------ |
| requestId      | String  | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p>                                         |
| accountUid     | String  | 账户唯一标识。                                                                                          |
| enabled        | Boolean | <p>余额提醒是否开启。</p><p>本字段为 true 但 alertThreshold 为空时，提醒不会实际触发。</p>                                  |
| alertThreshold | Float   | <p>余额提醒阈值。</p><p>可用金（账户余额 + 信用值）低于该值时触发提醒邮件。</p><p>账户从未设置过阈值时为空；提醒关闭后阈值仍然保留，因此本字段有值不代表提醒已开启。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询余额提醒设置。**

```json
POST /api/v2/zbc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeBalanceAlert
<Common Request Params>

Request:
  {}

Response:
  {
    "requestId": "TE5A17B93-2C64-4D08-A7F1-90B3E6C825D7",
    "response": {
      "requestId": "TE5A17B93-2C64-4D08-A7F1-90B3E6C825D7",
      "accountUid": "cccbf4c0-12ab-417a-95ba-0bf8e60a55d1",
      "enabled": true,
      "alertThreshold": 100.00
    }
  }
```

**2. 查询未开启提醒的账户。**

```json
POST /api/v2/zbc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeBalanceAlert
<Common Request Params>

Request:
  {}

Response:
  {
    "requestId": "TF0B24C87-6D31-4A9E-B583-1C7A4E20F6B9",
    "response": {
      "requestId": "TF0B24C87-6D31-4A9E-B583-1C7A4E20F6B9",
      "accountUid": "cccbf4c0-12ab-417a-95ba-0bf8e60a55d1",
      "enabled": false,
      "alertThreshold": null
    }
  }
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                          | 说明     |
| ------- | ---------------------------- | ------ |
| 404     | INVALID\_ACCOUNT\_NOT\_FOUND | 账户不存在。 |
